io.undertow.server.handlers

## Enum LocalNameResolvingHandler.ResolveType

- java.lang.Object
- - java.lang.Enum<LocalNameResolvingHandler.ResolveType>
  - - io.undertow.server.handlers.LocalNameResolvingHandler.ResolveType

All Implemented Interfaces:
  Serializable, Comparable<LocalNameResolvingHandler.ResolveType>

Enclosing class:
  LocalNameResolvingHandler

    public static enum LocalNameResolvingHandler.ResolveType
    extends Enum<LocalNameResolvingHandler.ResolveType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FORWARD`
`FORWARD_AND_REVERSE`
`REVERSE`

### Method Summary

All Methods Static Methods Concrete Methods
`static LocalNameResolvingHandler.ResolveType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LocalNameResolvingHandler.ResolveType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FORWARD

    public static final LocalNameResolvingHandler.ResolveType FORWARD

#### REVERSE

    public static final LocalNameResolvingHandler.ResolveType REVERSE

#### FORWARD_AND_REVERSE

    public static final LocalNameResolvingHandler.ResolveType FORWARD_AND_REVERSE

### Method Detail

#### values

    public static LocalNameResolvingHandler.ResolveType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LocalNameResolvingHandler.ResolveType c : LocalNameResolvingHandler.ResolveType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LocalNameResolvingHandler.ResolveType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null